package com.zhongshu.card.client.model.school;

import com.zhongshu.card.client.type.school.CardState;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author TRX
 * @date 2024/6/13
 */
@Data
public class CardInfoSimpleModel {

    @Schema(description = "卡片状态")
    private CardState cardState;

    private String cardStateStr;

    public String getCardStateStr() {
        if (cardState != null) {
            return cardState.getRemark();
        }
        return "";
    }
}
